;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50notmuch.el
;; for the Debian notmuch package

;; The notmuch package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.

(cond
 ((not (file-exists-p "/usr/share/emacs/site-lisp/notmuch"))
  (message "Package notmuch removed but not purged.  Skipping setup."))
 ((not (file-exists-p (concat "/usr/share/"
			      (symbol-name debian-emacs-flavor)
			      "/site-lisp/notmuch")))
  (message "Package notmuch not fully installed.  Skipping setup."))
 (t
  (debian-pkg-add-load-path-item
   (concat "/usr/share/"
	   (symbol-name debian-emacs-flavor)
	   "/site-lisp/notmuch"))
  (autoload 'notmuch "notmuch" "Run notmuch and display saved searches, known tags, etc." t)
  (autoload 'notmuch-hello "notmuch" "Run notmuch and display saved searches, known tags, etc." t)
  (autoload 'notmuch-search "notmuch" "Run \"notmuch search\" with the given query string and display results." t)
  (autoload 'notmuch-show "notmuch" "Run \"notmuch show\" with the given thread ID and display results." t)

  ))
